You are not logged in.

#1 2013-07-12 13:01:58

mlmoses
Member
From: Michigan, USA
Registered: 2012-04-14
Posts: 55

[SOLVED] LibreOffice 4.1.0.2: libclucene has clucene-contrib missing.

I'm getting the following error during the configure phase when I try to update to LibreOffice 4.1.0.2:

checking which clucene to use... external
checking for CLUCENE... yes
checking for CLucene/analysis/cjk/CJKAnalyzer.h... no
configure: error: Your version of libclucene has contribs-lib missing.

I found this Gentoo mailing list thread, and this Gentoo bug which both indicate the issue was fixed. I have tried re-installing clucene, as well as completely removing it and the installing it again, all to no avail. Anyone have any suggestions?

Last edited by mlmoses (2013-07-12 17:32:30)

Offline

#2 2013-07-12 17:32:13

mlmoses
Member
From: Michigan, USA
Registered: 2012-04-14
Posts: 55

Re: [SOLVED] LibreOffice 4.1.0.2: libclucene has clucene-contrib missing.

It turns out I was using Clang to compile LibreOffice. Unfortunately, Clang 3.3 has some issues finding GCC's header files. I'm guessing the failing configure check was trying to import one of these shared headers, clang couldn't find it, and the the check failed. Switching LibreOffice back to GCC seems to have solved the issue, though it now takes longer to compile. sad

Now I just have to figure out the Clang issue, though it appears it may be a known problem.

Offline

Board footer

Powered by FluxBB